> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/rest-api/transfers/get-all-deposit-addresses.md).

# Get All Deposit Addresses

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1/wallet-addresses`

Retrieve a list of crypto addresses for transferring funds to your sFOX account

### Response Body

<table><thead><tr><th width="242">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>currency</code></strong></td><td>Crypto asset</td></tr><tr><td><strong><code>address</code></strong></td><td>Crypto address to use for deposits</td></tr><tr><td><strong><code>wallet_type</code></strong></td><td>Whether the address is for your trading account or Web3 wallet. Possible values:<br><code>Sfox Trading Wallet</code>: Your trading account<br><code>Web3 Wallet</code>: Your Web3 wallet</td></tr><tr><td><strong><code>primary_network</code></strong></td><td>The network supported for sending funds to this address</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "addresses": [
        {
            "currency": "eth",
            "address": "<ethereum_address>",
            "wallet_type": "Sfox Trading Wallet",
            "primary_network": "Ethereum"
        },
        {
            "currency": "sol",
            "address": "<solana_address>",
            "wallet_type": "Sfox Trading Wallet",
            "primary_network": "Solana"
        },
        {
            "currency": "btc",
            "address": "<bitcoin_address>",
            "wallet_type": "Sfox Trading Wallet",
            "primary_network": "Bitcoin"
        },
        {
            "currency": "eth",
            "address": "<ethereum_address>",
            "wallet_type": "Web3 Wallet",
            "primary_network": "Ethereum"
        }
    ]
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' \
https://api.sfox.com/v1/wallet-addresses
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/wallet-addresses',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/wallet-addresses",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sfox.com/rest-api/transfers/get-all-deposit-addresses.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
